webscraperapi.ai
API Reference

Google Search Endpoint

Search Google and retrieve structured organic results with title, URL, and description. Supports search types (images, news, videos), time filters, and geographic targeting.

GET
/v2/google_search

Query Parameters

query*string

Search query.

Length1 <= length
domain?|

Google domain TLD (e.g., 'com', 'de', 'co.uk').

locale?|

Interface language in IETF BCP 47 (e.g., 'en-US').

geo_location?|

Geographic location (e.g., 'California,United States').

start_page?integer

Starting page number.

Default1
pages?integer

Number of pages to scrape.

Default1
limit?|

Results per page (max 100).

tbm?|

Search type: 'isch' (images), 'nws' (news), 'vid' (videos), 'bks' (books).

tbs?|

Time/sort filters: 'qdr:d' (past day), 'qdr:w' (past week), 'li:1' (verbatim).

render_js?boolean

Whether to render JavaScript.

Defaultfalse
output?|

Output format.

Default"markdown"
timeout_ms?|

Request timeout in milliseconds.

Response Body

application/json

application/json

curl -X GET "https://api.webscraperapi.ai/v2/google_search?query=string"
null
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}